# Class CIM_WakeUpService
extends CIM_Service

WakeUpService allows a UnitaryComputerSystem to be woken up from a low power sleep state. This Service is implemented by a LogicalDevice (e.g. NetworkAdapter or Modem) that is capable of receiving wakeup messages, and notifying the System.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_WakeUpService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | WakeUpService allows a UnitaryComputerSystem to be woken up from a low power sleep state. This Service is implemented by a LogicalDevice (e.g. NetworkAdapter or Modem) that is capable of receiving wakeup messages, and notifying the System.
UMLPackagePath | string | CIM::System::Boot
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
FilterType | uint16 |
Description | string | The filter type on the packets/messages that trigger the WakeUpService. This field is only used when the WakeUp Type is set to "Wake On LAN - Packet Filtering" (value =3).
ModelCorrespondence | string | CIM_WakeUpService.OtherFilterTypeDescription
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7
Values | string | Unknown, Other, ARP Broadcast, Neighbor Discovery Multicast, IP Packet with Directed MAC Address, IPX Diagnostic Responder, NBT Name Query, Binary Match
OtherFilterTypeDescription | string |
Description | string | The description of the format of the FilterType used by the Service when the FilterType is set to "Other" (value=1).
ModelCorrespondence | string | CIM_WakeUpService.FilterType
OtherWakeUpTypeDescription | string |
Description | string | A description of the type of WakeUpService used when WakeUpType is set to "Other" (value=1).
ModelCorrespondence | string | CIM_WakeUpService.WakeUpType
WakeUpType | uint16 |
Description | string | The Type of the WakeUp Service.
ModelCorrespondence | string | CIM_WakeUpService.OtherWakeUpTypeDescription
ValueMap | string | 0, 1, 2, 3, 4
Values | string | Unknown, Other, Wake On LAN - Magic Packet, Wake on LAN - Packet Filtering, Wake On Ring
FilterData | uint8[] |
Description | string | The binary data that is used to compare the contents of the received packet. This is used when the FilterType is set to "Binary Match" (value=7). This could also be used when the FilterType is set to "Other" (value=1).
OctetString | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service